<template>
  <v-card
    :class="textColor"
    :color="backgroundColor"
    :height="height"
    :flat="flat"
    class="mx-auto card"
    width="450"
  >
    <v-row
      dense
    >
      <v-col
        class="justify-center mx-auto my-3"
      >
        <v-card-title
          class="font-weight-bold align-center text--left py-1 mb-n8"
          style="font-size:1.75rem"
        >
          {{ cardTitle }}
        </v-card-title>
      </v-col>
    </v-row>
    <v-row
      v-if="cardText"
      dense
    >
      <v-col cols="7">
        <v-card-text
          :class="textColor"
        >
          {{ cardText }}
        </v-card-text>
      </v-col>
    </v-row>
    <v-row
      v-else
      dense
      class="pt-16 mt-12"
    />
    <v-row
      dense
    >
      <v-col>
        <v-card-actions class="align-end">
          <v-row
            justify="center"
          >
            <v-col 
              :align="alignButton"
            >
              <v-btn
                rounded
                :class="cardTextColorButton+' '+cardColorButton"
                :href="hrefButton"
                :width="sizeButton"
              >
                {{ cardTextButton }}
              </v-btn>
              <v-btn
                v-if="cardTextButtonTwo!==''"
                rounded
                :width="sizeButton"
                class="ma-2 font-weight-bold"
                :class="cardTextColorButtonTwo+' '+cardColorButtonTwo"
                :href="hrefButtonTwo"
              >
                {{ cardTextButtonTwo }}
              </v-btn>
            </v-col>
          </v-row>
        </v-card-actions>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
export default {
  props: {
    cardTitle: {
      type: String,
      default: ""
    },
    cardText: {
      type: String,
      default: ""
    },    
    backgroundColor: {
      type: String,
      default: "secondary"
    },    
    textColor: {
      type: String,
      default: "white--text"
    }, 
    sizeButton: {
      type: String,
      default: "80%"
    }, 
    alignButton: {
      type: String,
      default:"center"
    },
    mustBeLoggedButton:{
      type: Boolean,
      default: false
    },
    mustBeLoggedButtonText:{
      type: String,
      default: null
    },
    cardTextButton: {
      type: String,
      default: ""
    },
    cardTextButtonTwo: {
      type: String,
      default: ""
    },   
    cardTextColorButton: {
      type: String,
      default: "white--text"
    }, 
    cardTextColorButtonTwo: {
      type: String,
      default: "white--text"
    }, 
    cardColorButton: {
      type: String,
      default: "secondary"
    },
    cardColorButtonTwo: {
      type: String,
      default: "secondary"
    },
    hrefButton: {
      type: String,
      default: "#"
    },
    hrefButtonTwo: {
      type: String,
      default: "#"
    },
    height: {
      type: Number,
      default: 300
    },
    justifyText: {
      type: String,
      default: "text-left "
    },
    flat: {
      type: Boolean,
      default:false
    },
    userId: {
      type: Number,
      default: null
    }
  },
  data() {
    return {
    }
  }
};
</script>
<style lang="scss" scoped>
.card {
  border-radius: 10px;
  font-family: Poppins, sans-serif !important;
}
</style>